Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617391 - 'connection' dropdown is very confusing if you have remote hypervisor access via ssh key
'connection' dropdown is very confusing if you have remote hypervisor access ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 18:02 EDT by Máirín Duffy
Modified: 2011-05-19 09:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the dropdown in question (22.31 KB, image/png)
2010-07-22 18:02 EDT, Máirín Duffy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0637 normal SHIPPED_LIVE virt-manager bug fix and enhancement update 2011-05-18 13:55:47 EDT

  None (edit)
Description Máirín Duffy 2010-07-22 18:02:14 EDT
Created attachment 433819 [details]
screenshot of the dropdown in question

Description of problem:
i'm not a super-technical user but i can usually hold my own.

i needed to connect to a remote hypervisor for which i only have access to the root account via ssh key. 

look at the attached screenshot of the 'connection' dropdoown of the 'add connection' dialog. which option would you have picked in the dropdown? i certainly wasn't sure.

(in the end, ssh tunnel was the option that worked, which wasn't very intuitive to me)

Version-Release number of selected component (if applicable):
virt-manager-0.8.4-7.el6.noarch
Comment 2 RHEL Product and Program Management 2010-07-22 18:37:41 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Cole Robinson 2010-08-24 15:51:15 EDT
Yeah, that dialog hasn't seen a lot of love over the years and is pretty ugly. There have been numerous complaints about the lack of $USER transparency.

I've reworked this dialog upstream:

http://fedorapeople.org/~crobinso/tmp/vmm-addconn1.png
http://fedorapeople.org/~crobinso/tmp/vmm-addconn2.png

Hopefully it should solve some of the issues you were hitting. Feedback appreciated.
Comment 4 Ray Strode [halfline] 2010-08-24 16:10:53 EDT
Hi Cole,

That reworking of the UI looks much better than the one I posted a screesnhot of!! Thanks :)
Comment 5 Máirín Duffy 2010-08-24 16:16:13 EDT
Whoops sorry, that was me. Ray borrowed my laptop when his laptop's backlight broke.
Comment 6 Cole Robinson 2011-01-14 17:21:11 EST
Fixed in virt-manager-0.8.6-1.el6
Comment 8 zhanghaiyan 2011-03-02 00:49:35 EST
Verified this bug with virt-manager-0.8.6-2.el6.noarch

The dialog looks the same with in comments
Comment 9 errata-xmlrpc 2011-05-19 09:46:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0637.html

Note You need to log in before you can comment on or make changes to this bug.